#!/bin/dash
#
# Script to replace the bottom panel with AWN and Fuduntu default settings
# upon user selection
#
# - Fewt
#

if [ ! -d "/home/$USER/.fuduntu" ]; then
  mkdir /home/$USER/.fuduntu
fi

if [ -e "/home/$USER/.fuduntu/awn" ]; then
  exit 0
fi

USERSELECT=$(zenity --width=400 --list --title="Choose a bottom panel preference" --column="Choice" --column "Description" "Current" "Keep your current settings" "AWN" "Switch to Avant Window Navigator" "Panel" "Restore my bottom panel")

if [ "$USERSELECT" = "Current" ]; then
  touch /home/$USER/.fuduntu/awn
  exit 0
fi

if [ "$USERSELECT" = "AWN" ]; then
if [ ! "$(rpm -qa | grep avant-window-navigator)" ]; then
  echo "Installing Avant Window Manager and Applets, password required."
  beesu yum -y install awn-extras-applets avant-window-navigator
fi

echo "Setting default preferences"
gconftool-2 -t float -s /apps/avant-window-navigator/effects/icon_alpha "1"

gconftool-2 --set -t list --list-type=string /apps/avant-window-navigator/panel/applet_list "[/usr/share/avant-window-navigator/applets/taskmanager.desktop::1,/usr/share/avant-window-navigator/applets/separator.desktop::2,/usr/share/avant-window-navigator/applets/file-browser-launcher.desktop::3,/usr/share/avant-window-navigator/applets/garbage.desktop::4]"

gconftool-2 -t bool -s /apps/avant-window-navigator/panel/panel_mode "false"
gconftool-2 -t int -s /apps/avant-window-navigator/panel/autohide "1"
gconftool-2 -t int -s /apps/avant-window-navigator/panel/orient "3"

gconftool-2 --set -t list --list-type=string /apps/instances/avant-window-navigator/panel-1/panel/applet_list "[/usr/share/avant-window-navigator/applets/taskmanager.desktop::1,/usr/share/avant-window-navigator/applets/separator.desktop::2,/usr/share/avant-window-navigator/applets/file-browser-launcher.desktop::3,/usr/share/avant-window-navigator/applets/garbage.desktop::4]"

gconftool-2 -t bool -s /apps/instances/avant-window-navigator/panel-1/panel/panel_mode "false"
gconftool-2 -t int -s /apps/instances/avant-window-navigator/panel-1/panel/autohide "1"
gconftool-2 -t int -s /apps/instances/avant-window-navigator/panel-1/panel/orient "3"

gconftool-2 -t bool -s /apps/awn-applet-garbage/show_count "0"

gconftool-2 -t list --list-type=string -s /apps/awn-applet-taskmanager/launcher_paths "[/usr/share/applications/mozilla-firefox.desktop,/usr/share/applications/mozilla-thunderbird.desktop,/usr/share/applications/rhythmbox.desktop,/usr/share/applications/vlc.desktop]"
gconftool-2 -t bool -s /apps/awn-applet-taskmanager/intellihide "true"
gconftool-2 -t int -s /apps/awn-applet-taskmanager/intellihide_mode "1"

gconftool-2 -t list --list-type=string -s /apps/panel/general/toplevel_id_list "[top_panel]"
gconftool-2 -t bool -s /apps/nautilus/desktop/volumes_visible "false"
gconftool-2 -t bool -s /apps/nautilus/desktop/trash_icon_visible "false"

CCHECK=$(ps -fu $USER | grep -v -e grep -e runonce | grep compiz || echo NO)

if [ ! "$CCHECK" = "NO" ]; then
  echo "Applying preferences for composite desktop"
  gconftool-2 -t int -s /apps/avant-window-navigator/panel/style "2"
  gconftool-2 -t int -s /apps/instances/avant-window-navigator/panel-1/panel/style "2"
  gconftool-2 -t int -s /apps/avant-window-navigator/effects/icon_effect "349525"
else
  echo "Applying preferences for non-composite desktop"
  gconftool-2 -t int -s /apps/avant-window-navigator/panel/style "5"
  gconftool-2 -t int -s /apps/instances/avant-window-navigator/panel-1/panel/style "5"
  gconftool-2 -t int -s /apps/avant-window-navigator/effects/icon_effect "0"
fi

### This doesn't look right on the netbook.
#HEIGHT=$(/usr/bin/xrandr 2>/dev/null| grep "\*" | awk '{print $1}' | cut -dx -f 2 | head -n 1)
#if [[ "$HEIGHT" -le "600" ]]; then
#  gconftool-2 -t int -s /apps/instances/avant-window-navigator/panel-1/panel/size "40"
#  gconftool-2 -t int -s /apps/avant-window-navigator/panel/size "40"
#else
#  gconftool-2 -t int -s /apps/instances/avant-window-navigator/panel-1/panel/size "48"
#  gconftool-2 -t int -s /apps/avant-window-navigator/panel/size "48"
#fi

killall avant-window-navigator >/dev/null 2>&1 || :

if [ ! -d "/home/$USER/.config/autostart" ]; then
  mkdir -p /home/$USER/.config/autostart 2>/dev/null || :
fi

cat <<EOF >/home/$USER/.config/autostart/awn.desktop 
[Desktop Entry]
Icon=avant-window-navigator
Type=Application
Name=Avant Window Navigator
X-GNOME-Autostart-enabled=true
Exec=/usr/local/bin/awn-startup.sh --startup

EOF

chmod 755 /home/$USER/.config/autostart/awn.desktop
nohup avant-window-navigator >/dev/null 2>&1 &
else
### Restore bottom panel
killall avant-window-navigator >/dev/null 2>&1 || :
if [ -e "/home/$USER/.config/autostart/awn.desktop" ]; then
  rm -f /home/$USER/.config/autostart/awn.desktop >/dev/null 2>&1
fi
gconftool-2 -t list --list-type=string -s /apps/panel/general/toplevel_id_list "[top_panel,bottom_panel]"
gconftool-2 -t bool -s /apps/nautilus/desktop/volumes_visible "true"
gconftool-2 -t bool -s /apps/nautilus/desktop/trash_icon_visible "true"
fi
touch /home/$USER/.fuduntu/awn 2>/dev/null
